List Deep detailed vaults
curl --request GET \
--url https://api.vaults.fyi/beta/amm/deep/detailed-vaults \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/amm/deep/detailed-vaults"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/amm/deep/detailed-vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemsOnPage": 123,
"data": [
{
"address": "<string>",
"displayName": "<string>",
"network": {
"chainId": 123,
"networkCaip": "<string>"
},
"apy": {
"7day": 123,
"30day": 123
},
"tvlInUsd": 123,
"asset0": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
},
"asset1": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>"
}
}
],
"nextPage": 123
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}The Deep
List Deep detailed vaults
Retrieves a filtered list of Deep vaults with detailed information including chain ID, address, display name, APY (7d and 30d), and TVL in USD.
GET
/
beta
/
amm
/
deep
/
detailed-vaults
List Deep detailed vaults
Authorizations
Query Parameters
Page number (starting from 0)
Required range:
x >= 0Number of items per page
Required range:
0 < x <= 5000⌘I

